## GtkSeparatorToolItem GtkSeparatorToolItem — A toolbar item that separates groups of other toolbar items |

## Functions

GtkToolItem * | gtk_separator_tool_item_new ()
void | gtk_separator_tool_item_set_draw ()
gboolean | gtk_separator_tool_item_get_draw ()

## Properties

gboolean | draw | Read / Write

## Types and Values

struct | GtkSeparatorToolItem
struct | GtkSeparatorToolItemClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkToolItem
                            ╰── GtkSeparatorToolItem

## Implemented Interfaces

GtkSeparatorToolItem implements AtkImplementorIface, GtkBuildable and GtkActivatable.

## Includes

    #include <gtk/gtk.h>

## Description

A GtkSeparatorToolItem is a GtkToolItem that separates groups of other GtkToolItems. Depending on the theme, a GtkSeparatorToolItem will often look like a vertical line on horizontally docked toolbars.

If the GtkToolbar child property “expand” is `TRUE` and the property “draw” is `FALSE`, a GtkSeparatorToolItem will act as a “spring” that forces other items to the ends of the toolbar.

Use `gtk_separator_tool_item_new()` to create a new GtkSeparatorToolItem.

### CSS nodes

GtkSeparatorToolItem has a single CSS node with name separator.

## Functions

### gtk_separator_tool_item_new ()

    GtkToolItem *
    gtk_separator_tool_item_new (void);

Create a new GtkSeparatorToolItem

#### Returns

the new GtkSeparatorToolItem

Since: 2.4

### gtk_separator_tool_item_set_draw ()

    void
    gtk_separator_tool_item_set_draw (GtkSeparatorToolItem *item,
                                      gboolean draw);

Whether `item` is drawn as a vertical line, or just blank. Setting this to `FALSE` along with `gtk_tool_item_set_expand()` is useful to create an item that forces following items to the end of the toolbar.

#### Parameters

item | a GtkSeparatorToolItem |
draw | whether `item` is drawn as a vertical line |

Since: 2.4

### gtk_separator_tool_item_get_draw ()

    gboolean
    gtk_separator_tool_item_get_draw (GtkSeparatorToolItem *item);

Returns whether `item` is drawn as a line, or just blank. See `gtk_separator_tool_item_set_draw()`.

#### Parameters

item | a GtkSeparatorToolItem |

#### Returns

`TRUE` if `item` is drawn as a line, or just blank.

Since: 2.4

## Types and Values

### struct GtkSeparatorToolItem

    struct GtkSeparatorToolItem;

### struct GtkSeparatorToolItemClass

    struct GtkSeparatorToolItemClass {
      GtkToolItemClass parent_class;
    };

#### Members

## Property Details

### The `“draw”` property

      “draw”                     gboolean

Whether the separator is drawn, or just blank.

Owner: GtkSeparatorToolItem

Flags: Read / Write

Default value: TRUE

## See Also

GtkToolbar, GtkRadioToolButton